Skip to main content
GET
/
api
/
v2
/
gov-ordered-documents
/
available-documents
/
Retrieve available documents to order
curl --request GET \
  --url https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/ \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/")
.header("Authorization", "Basic <encoded-value>")
.asString();


using RestSharp;


var options = new RestClientOptions("https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
val client = OkHttpClient()

val request = Request.Builder()
.url("https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()

val response = client.newCall(request).execute()
import Foundation

let url = URL(string: "https://ivs.idenfy.com/api/v2/gov-ordered-documents/available-documents/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Basic <encoded-value>"]

let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
{
  "products": [
    {
      "id": "<string>",
      "price": 123,
      "productFormat": "<string>",
      "canOrder": true,
      "productCode": "<string>",
      "productTitle": "<string>",
      "deliveryTimeMinutes": 123,
      "type": "<string>",
      "displayDate": "<string>",
      "priceTag": "<string>",
      "companyName": "<string>",
      "countryISO": "<string>",
      "noVatPrice": "<string>",
      "vatCharge": "<string>",
      "currency": "<string>",
      "companyCode": "<string>",
      "productDetails": {},
      "downloadURL": "<string>",
      "propertyChanged": "<string>",
      "tierCode": "<string>",
      "tierValue": "<string>",
      "file": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Query Parameters

countryCode
enum<string>
required
Available options:
AL,
AM,
AR,
AT,
AU,
AW,
AZ,
BA,
BB,
BD,
BE,
BG,
BH,
BN,
BO,
BQ,
BR,
BW,
BY,
BZ,
CA,
CH,
CN,
CO,
CR,
CW,
CY,
CZ,
DE,
DK,
DO,
EC,
EE,
ES,
FI,
FR,
GB,
GE,
GG,
GH,
GI,
GR,
HK,
HR,
HU,
ID,
IE,
IL,
IM,
IN,
IS,
IT,
JE,
JO,
KH,
KW,
KY,
LI,
LK,
LS,
LT,
LU,
LV,
MA,
ME,
MH,
MM,
MT,
MU,
MY,
NL,
NO,
NZ,
PE,
PH,
PK,
PL,
PR,
PT,
QA,
RO,
RS,
RU,
SB,
SE,
SG,
SI,
SK,
TH,
TN,
TO,
TR,
TT,
TW,
UG,
US,
UY,
VG,
VI,
VN,
VU,
WS,
ZA
Minimum string length: 1
region
string
Minimum string length: 1
registrationNumber
string
required

External company ID from GOV registers search should be used.

Minimum string length: 1

Response

200 - application/json
products
object[]
required